{ lib, config, ... }:
with lib;
let
  cfg = config.voidconf.audio;
in
{
  options.voidconf.audio = {
    enable = mkEnableOption "Enable all the audio daemons";
  };
  config = mkIf cfg.enable {
    hardware.pulseaudio.enable = false;
    services.pipewire = {
      enable = true;
      alsa.enable = true;
      alsa.support32Bit = true;
      pulse.enable = true;
      jack.enable = true;
      wireplumber.enable = true;
    };
  };
}
