{
  pkgs,
  lib,
  config,
  ...
}:
with lib;
let
  cfg = config.voidconf.bluetooth;
in
{
  options.voidconf.bluetooth = {
    enable = mkEnableOption "Enables bluetooth tools";
  };
  config = mkIf cfg.enable {

    hardware.bluetooth = {
      enable = true;
    };

    services.blueman = {
      enable = true;
    };
    environment.systemPackages = with pkgs; [
      bluez
    ];
  };
}
